<?php

$mts_options = get_option( MTS_THEME_NAME );

$title      = ! empty( $mts_options['mts_progress_title'] ) ? $mts_options['mts_progress_title'] : '';
$subheading = ! empty( $mts_options['mts_progress_description'] ) ? $mts_options['mts_progress_description'] : '';
$videos     = ! empty( $mts_options['mts_progress'] ) ? $mts_options['mts_progress'] : '';
$buttons    = ! empty( $mts_options['mts_progress_button'] ) ? $mts_options['mts_progress_button'] : '';

?>
<div class="Justfit-Progress" id="home_progress" style="background-image:url(<?php echo $mts_options['mts_progress_background_image']; ?>); background-repeat: no-repeat; background-size: cover;">
	<div class="Justfit-heading">
		<div class="container">
			<?php
			if ( ! empty( $title ) ) {
				?>
				<h3><?php echo $title; ?></h3>
				<?php
			}
			if ( ! empty( $subheading ) ) {
				?>
				<div class="subheading"><?php echo $subheading; ?></div>
				<?php
			}
			?>
		</div>
	</div>
	<div class="container">
		<div class="Justfit-Progress-Videos">
			<?php
			if ( ! empty( $videos ) && is_array( $videos ) ) {
				foreach ( $videos as $slide ) :
					$attr = array(
						'title' => get_the_title( $slide['mts_progress_image'] ),
						'alt'   => get_post_meta( $slide['mts_progress_image'], '_wp_attachment_image_alt', true )
					);
					?>
					<div class="Justfit-Progress-Video">
						<a href="<?php echo $slide['mts_progress_link']; ?>" class="popup-link"><?php echo wp_get_attachment_image( $slide['mts_progress_image'], 'full', false, $attr ); ?>
							<span class="play-icon"><i class="fa fa-play"></i></span>
						</a>
					</div>
					<?php
				endforeach;
			}
			?>
		</div>
		<?php
		if ( ! empty( $buttons ) && is_array( $buttons ) ) {
			?>
			<div class="buttons">
				<?php
				foreach ( $buttons as $button ) :
					?>
					<div class="readMore" ><a style="background:<?php echo $button['mts_progress_color']; ?>;" href="<?php echo $button['mts_progress_button_link']; ?>"><?php echo $button['mts_progress_button_label']; ?></a></div>
					<?php
				endforeach;
				?>
			</div>
			<?php
		}
		?>
		</div>
	</div>
